ssh2_sftp_stat
ssh2_sftp_unlink
SSH2 Functions
PHP Manual

# ssh2_sftp_symlink

Create a symlink

### Description

bool ssh2_sftp_symlink ( resource `$sftp` , string `$target` , string `$link` )

Creates a symbolic link named `link` on the remote filesystem pointing to `target`.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp.

`target`

  Target of the symbolic link.

`link`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Creating a symbolic link

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
ssh2_sftp_symlink($sftp, '/var/run/mysql.sock', '/tmp/mysql.sock');
?>`

### See Also

- ssh2_sftp_readlink
- symlink